For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETBrand content
      • GETBrand content by ID
      • GETCountry configuration
      • GETAvailable currencies
      • GETCurrency configuration
      • GETDonation configuration
      • GETUnderwriters and plans
      • GETSingle underwriter and plans
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIBrand

Country configuration

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/countries/:countryCode
GET
/products/v1/:brandCode/countries/:countryCode
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/countries/countryCode \
> -H "Authorization: Bearer <token>"
200/v1/wn/countries/AUS
1{
2 "id": 16,
3 "code": "AUS",
4 "defaultTimeZoneCode": "Australia/Sydney",
5 "provinces": [
6 {
7 "id": 1,
8 "code": "ACT"
9 },
10 {
11 "id": 2,
12 "code": "NSW"
13 },
14 {
15 "id": 3,
16 "code": "VIC"
17 },
18 {
19 "id": 4,
20 "code": "QLD"
21 },
22 {
23 "id": 5,
24 "code": "SA"
25 },
26 {
27 "id": 6,
28 "code": "WA"
29 },
30 {
31 "id": 7,
32 "code": "TAS"
33 },
34 {
35 "id": 8,
36 "code": "NT"
37 }
38 ],
39 "cultureCodes": [
40 "en-AU"
41 ]
42}
Returns configuration information about a Country
Was this page helpful?
Previous

Available currencies

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
countryCodestringRequired

A country code (as returned by baseQuoteConfig)

Response

Success
idlongDefaults to 0
codestring
defaultTimeZoneCodestring
provinceslist of objects
cultureCodeslist of strings